View Issue Details

IDProjectCategoryLast Update
0019474AI War 2[All Projects] SuggestionAug 8, 2018 6:15 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status closedResolutionfixed 
Product Version 
Fixed in Version0.745 A Pivot And A Leap Forward 
Summary0019474: Find a better name than "Controller" for those things at planets.
DescriptionFrom zeusalmighty: I feel that the "Controller" needs to have some lore to make it more compelling and convincing as the strategic hub of the planet. As it stands, it seems to exist purely as a mechanic (a needed one) but without any rationale as to why the planet's control depends on its ownership.

https://forums.arcengames.com/private-alpha-discussion/immersion-suggestions/msg218111/#msg218111

My response:

To the name of the "Controller," you know, that's one of those low-lying "I hadn't thought of it consciously, but now that you bring it up that's been bugging me, too" items. My first thought was that we could rename it LaGrange Point or something, but then it couldn't move (or would have to move).

Perhaps it should be called "Space Elevator" or something, instead. "He who controls the space elevator, controls the planet" -- Sun Tzu

That would also explain why the humans and the AI are capturing it, and not just destroying it.
TagsNo tags attached.

Activities

Dune

Mar 13, 2018 10:27 am

administrator   ~0047135

Also adding a Trello card.

Issue History

Date Modified Username Field Change
Mar 12, 2018 8:18 pm x4000Bughunter New Issue
Mar 13, 2018 10:27 am Dune Assigned To => x4000Bughunter
Mar 13, 2018 10:27 am Dune Status new => considering
Mar 13, 2018 10:27 am Dune Note Added: 0047135
Aug 8, 2018 6:15 pm BadgerBadger Status considering => closed
Aug 8, 2018 6:15 pm BadgerBadger Resolution open => fixed
Aug 8, 2018 6:15 pm BadgerBadger Fixed in Version => 0.745 A Pivot And A Leap Forward